databases/libtcd - The NetBSD Packages Collection

API for reading and writing Tide Constituent Database (TCD) files

libtcd provides a software API for reading and writing Tide Constituent
Database (TCD) files.

The TCD file format and schema are used by XTide to retrieve constituent
definitions (speeds, equilibrium arguments, and node factors), harmonic
constants, subordinate station offsets and associated metadata for use
in generating tide predictions.

The TCD file format and schema were originally designed by Jan Depner
to improve the performance of XTide and to meet additional requirements
of the U.S. Naval Oceanographic Office (NAVO).  They are now maintained
primarily by David Flater.

The design goals for TCD included:

 Available without installing heavy external packages.
 Efficient for indexing and loading of stations.
 Compact file format.
 Translatable without loss from legacy XTide .txt and .xml files.
 Exportable to legacy .txt and .xml formats.
 Modifiable by end user using tideEditor.
 Able to detect tampering (usually, misguided attempts to edit the
 database in a word processor).

Build dependencies

pkgtools/cwrappers devel/libtool-base shells/bash devel/gmake textproc/gsed

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 8.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 8.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 8.0i386libtcd-2.2.7r2.tgz
NetBSD 8.0i386libtcd-2.2.7r2.tgz
NetBSD 8.0powerpclibtcd-2.2.7r2.tgz
NetBSD 8.0powerpclibtcd-2.2.7r2.tgz
NetBSD 8.0powerpclibtcd-2.2.7r2.tgz
NetBSD 8.0powerpclibtcd-2.2.7r2.tgz
NetBSD 8.0x86_64libtcd-2.2.7r2.tgz
NetBSD 8.0x86_64libtcd-2.2.7r2.tgz
NetBSD 9.0aarch64libtcd-2.2.7r2.tgz
NetBSD 9.0aarch64libtcd-2.2.7r2.tgz
NetBSD 9.0aarch64libtcd-2.2.7r2.tgz
NetBSD 9.0alphalibtcd-2.2.7r2.tgz
NetBSD 9.0alphalibtcd-2.2.7r2.tgz
NetBSD 9.0alphalibtcd-2.2.7r2.tgz
NetBSD 9.0earmlibtcd-2.2.7r2.tgz
NetBSD 9.0earmlibtcd-2.2.7r2.tgz
NetBSD 9.0earmlibtcd-2.2.7r2.tgz
NetBSD 9.0earmv6hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv6hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv6hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 9.0earmv7hflibtcd-2.2.7r2.tgz
NetBSD 9.0i386libtcd-2.2.7r2.tgz
NetBSD 9.0i386libtcd-2.2.7r2.tgz
NetBSD 9.0m68klibtcd-2.2.7r2.tgz
NetBSD 9.0m68klibtcd-2.2.7r2.tgz
NetBSD 9.0mips64eblibtcd-2.2.7r2.tgz
NetBSD 9.0mips64eblibtcd-2.2.7r2.tgz
NetBSD 9.0mips64eblibtcd-2.2.7r2.tgz
NetBSD 9.0mips64eblibtcd-2.2.7r2.tgz
NetBSD 9.0mips64eblibtcd-2.2.7r2.tgz
NetBSD 9.0mipsellibtcd-2.2.7r2.tgz
NetBSD 9.0mipsellibtcd-2.2.7r2.tgz
NetBSD 9.0mipsellibtcd-2.2.7r2.tgz
NetBSD 9.0mipsellibtcd-2.2.7r2.tgz
NetBSD 9.0powerpclibtcd-2.2.7r2.tgz
NetBSD 9.0powerpclibtcd-2.2.7r2.tgz
NetBSD 9.0powerpclibtcd-2.2.7r2.tgz
NetBSD 9.0powerpclibtcd-2.2.7r2.tgz
NetBSD 9.0sh3ellibtcd-2.2.7r2.tgz
NetBSD 9.0sh3ellibtcd-2.2.7r2.tgz
NetBSD 9.0sh3ellibtcd-2.2.7r2.tgz
NetBSD 9.0sh3ellibtcd-2.2.7r2.tgz
NetBSD 9.0sparc64libtcd-2.2.7r2.tgz
NetBSD 9.0sparc64libtcd-2.2.7r2.tgz
NetBSD 9.0sparc64libtcd-2.2.7r2.tgz
NetBSD 9.0sparclibtcd-2.2.7r2.tgz
NetBSD 9.0sparclibtcd-2.2.7r2.tgz
NetBSD 9.0sparclibtcd-2.2.7r2.tgz
NetBSD 9.0sparclibtcd-2.2.7r2.tgz
NetBSD 9.0sparclibtcd-2.2.7r2.tgz
NetBSD 9.0vaxlibtcd-2.2.7r2.tgz
NetBSD 9.0vaxlibtcd-2.2.7r2.tgz
NetBSD 9.0vaxlibtcd-2.2.7r2.tgz
NetBSD 9.0vaxlibtcd-2.2.7r2.tgz
NetBSD 9.0x86_64libtcd-2.2.7r2.tgz
NetBSD 9.0x86_64libtcd-2.2.7r2.tgz
NetBSD 9.0x86_64libtcd-2.2.7r2.tgz
NetBSD 9.0x86_64libtcd-2.2.7r2.tgz
NetBSD 9.0x86_64libtcd-2.2.7r2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.